'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultOptions = {
    ast: false
};

exports.default = function (userOptions) {
    return function (input) {
        return function babel(log) {
            var path = require('path');
            var babelTransform = require('babel-core').transform;

            return new _promise2.default(function (resolve) {
                var files = input.map(function (file) {
                    var options = (0, _extends3.default)({}, defaultOptions, {
                        inputSourceMap: file.map
                    }, userOptions, {
                        filename: file.path
                    });

                    var result = babelTransform(file.data, options);
                    var data = result.code;

                    // add source map comment
                    if (result.map !== null) {
                        data += '\n//# sourceMappingURL=' + path.basename(file.path) + '.map';
                    }

                    return {
                        path: file.path,
                        data: data,
                        map: result.map
                    };
                });

                resolve(files);
            });
        };
    };
};

module.exports = exports['default'];